# -*- coding: utf-8 -*-
# Generated by Django 1.11.2 on 2017-06-07 21:06
from __future__ import unicode_literals

import django.contrib.gis.db.models.fields
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('services', '0025_ipresource_notes'),
    ]

    operations = [
        migrations.AddField(
            model_name='ipresource',
            name='category',
            field=models.IntegerField(choices=[(0, 'IP Public'), (1, 'IP Antenne')], default=0, verbose_name='catégorie'),
            preserve_default=False,
        ),
        migrations.CreateModel(
            name='Antenna',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ('mac', models.CharField(blank=True, default='', max_length=17, validators=[django.core.validators.RegexValidator('^([0-9a-fA-F]{2}([:-]?|$)){6}$')])),
                ('notes', models.TextField(blank=True)),
            ],
            options={
                'verbose_name': 'antenne',
            },
        ),
        migrations.CreateModel(
            name='AntennaAllocation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Début de la période d’allocation')),
                ('end', models.DateTimeField(blank=True, null=True, verbose_name='Fin de la période d’allocation')),
                ('notes', models.TextField(blank=True, default='')),
                ('antenna', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='allocations', related_query_name='allocation', to='services.Antenna')),
            ],
            options={
                'verbose_name': 'allocation',
                'verbose_name_plural': 'allocations',
            },
        ),
        migrations.AddField(
            model_name='antennaallocation',
            name='resource',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='antenna_allocations', related_query_name='antenna_allocation', to='services.IPResource', verbose_name='Ressource'),
        ),
        migrations.RenameModel(
            old_name='ResourceAllocation',
            new_name='ServiceAllocation',
        ),
        migrations.AlterModelOptions(
            name='serviceallocation',
            options={'verbose_name': 'allocation', 'verbose_name_plural': 'allocations'},
        ),
        migrations.AlterField(
            model_name='serviceallocation',
            name='resource',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='service_allocations', related_query_name='service_allocation', to='services.IPResource', verbose_name='Ressource'),
        ),
        migrations.AlterField(
            model_name='serviceallocation',
            name='route',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='services', related_query_name='allocation', to='services.Route', verbose_name='Route'),
        ),
    ]
