# -*- coding: utf-8 -*-
# Generated by Django 1.11.2 on 2017-06-26 22:22
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import mptt.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='stocking.Category', verbose_name='catégorie parente')),
            ],
            options={
                'verbose_name': 'Catégorie',
            },
        ),
        migrations.CreateModel(
            name='Equipment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', models.PositiveIntegerField(default=0, verbose_name='quantité')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='stocking.Category', verbose_name='catégorie')),
            ],
            options={
                'verbose_name': 'Équipement',
            },
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
            ],
            options={
                'verbose_name': 'Emplacement',
            },
        ),
        migrations.AddField(
            model_name='equipment',
            name='location',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='stocking.Location', verbose_name='emplacement'),
        ),
        migrations.AlterUniqueTogether(
            name='equipment',
            unique_together=set([('category', 'location')]),
        ),
    ]
